Index: /trunk/SRC/Calendar/julday.pro
===================================================================
--- /trunk/SRC/Calendar/julday.pro	(revision 225)
+++ /trunk/SRC/Calendar/julday.pro	(revision 226)
@@ -4,17 +4,17 @@
 ; Calculate the Julian Day Number for a given month, day, and year.
 ; This is the inverse of the library function CALDAT.
-; 3 calendars are available according to the value of key_caltype 
+; 3 calendars are available according to the value of key_caltype
 ; (variable of the common file cm_4cal): 'greg', '360d', 'noleap'
 ;
 ; @categories Calendar
 ;
-; @param MONTH {in}{required} 
-; Number of the desired month (1 = January, ..., 12 = December). 
+; @param MONTH {in}{required}
+; Number of the desired month (1 = January, ..., 12 = December).
 ; Can be scalar or array
 ;
-; @param DAY {in}{required} 
+; @param DAY {in}{required}
 ; Number of day of the month.Can be scalar or array
 ;
-; @param YEARin {in}{required}  
+; @param YEARin {in}{required}
 ; Number of the desired year.Year parameters must be valid
 ; values from the civil calendar.  Years B.C.E. are represented
@@ -22,11 +22,11 @@
 ; as positive integers. In particular, note that there is no
 ; year 0 in the civil calendar.  1 B.C.E. (-1) is followed by
-; 1 C.E. (1). 
-; Change: However for climatological year, we do accept the year 
+; 1 C.E. (1).
+; Change: However for climatological year, we do accept the year
 ; O but we change it for year 654321L (the same trick is done in
 ; caldat so caldat, julday(1,1,0) gives you back Jan 1st of year 0)
 ; Can be scalar or array
 ;
-; @param HOUR {in}{optional}{default=12} 
+; @param HOUR {in}{optional}{default=12}
 ; Number of the hour of the day. Can be scalar or array
 ;
@@ -37,26 +37,26 @@
 ; Number of the second of the minute. Can be scalar or array
 ;
-; @restrictions 
+; @restrictions
 ; The Result will have the same dimensions as the smallest array, or
 ; will be a scalar if all arguments are scalars.
-; 
-; @keyword NDAYSPM {default=30} 
+;
+; @keyword NDAYSPM {default=30}
 ; To use a calendar with fixed number of days per months.
 ; see also the use of key_caltype (variable of the common file cm_4cal)
 ;
-; @returns 
+; @returns
 ; the Julian Day Number (which begins at noon) of the specified calendar date.
-; If Hour, Minute, and Second are not specified, then the result will be a 
-; long integer, otherwise the result is a double precision floating point 
+; If Hour, Minute, and Second are not specified, then the result will be a
+; long integer, otherwise the result is a double precision floating point
 ; number.
 ;
 ; @uses cm_4cal
 ;
-; @restrictions 
+; @restrictions
 ; Accuracy using IEEE double precision numbers is approximately
 ; 1/10000th of a second, with higher accuracy for smaller (earlier)
 ; Julian dates.
 ;
-; @history 
+; @history
 ; Translated from "Numerical Recipies in C", by William H. Press,
 ; Brian P. Flannery, Saul A. Teukolsky, and William T. Vetterling.
@@ -75,8 +75,9 @@
 ; eg. julday(349,1,1970)
 ;
-; Sebastien Masson, May 2006, add diferent calendat with key_caltype 
+; Sebastien Masson, May 2006, add different calendat with key_caltype
 ; (variable of the common file cm_4cal)
 ;
-; @version $Id$
+; @version
+; $Id$
 ;-
 ;
@@ -224,5 +225,5 @@
       RETURN, jul
 
-    END 
+    END
     '360d':BEGIN
 ;
@@ -240,5 +241,5 @@
       IF neg[0] NE -1 THEN L_YEAR[neg] =  L_YEAR[neg]+1
 
-      JUL = ((L_YEAR-1)*12 + (L_MONTH-1))* ndayspm + L_DAY 
+      JUL = ((L_YEAR-1)*12 + (L_MONTH-1))* ndayspm + L_DAY
       if n_elements(Hour) + n_elements(Minute) + n_elements(Second) eq 0 then $
         return, JUL
@@ -246,9 +247,9 @@
       if n_elements(Minute) eq 0 then Minute = 0
       if n_elements(Second) eq 0 then Second = 0
-      
+
       IF total([hour NE 12, minute NE 0, second NE 0]) EQ 0 THEN return, JUL ELSE $
         return, JUL + (Hour / 24.0d0 - 0.5d) + (Minute/1440.0d0) + (Second / 86400.0d0)
 
-    END 
+    END
     'noleap':BEGIN
 
@@ -279,9 +280,9 @@
       if n_elements(Minute) eq 0 then Minute = 0
       if n_elements(Second) eq 0 then Second = 0
-      
+
         IF total([hour NE 12, minute NE 0, second NE 0]) EQ 0 THEN return, JUL ELSE $
         return, JUL + (Hour / 24.0d0 - 0.5d) + (Minute/1440.0d0) + (Second / 86400.0d0)
 
-    END 
+    END
     ELSE:return, report('only 3 types of calendar are accepted: greg, 360d and noleap')
   ENDCASE
Index: /trunk/SRC/Colors/newpalette.pro
===================================================================
--- /trunk/SRC/Colors/newpalette.pro	(revision 225)
+++ /trunk/SRC/Colors/newpalette.pro	(revision 226)
@@ -2,10 +2,10 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; Allows to save the palette which is on the screen
 ; in a same type file than the one given by default in IDL
 ; 'colors1.tbl'.
 ;
-; @categories 
+; @categories
 ; Color
 ;
@@ -13,5 +13,5 @@
 ; a string containing the name of the new palette we want to write.
 ;
-; @keyword OVER 
+; @keyword OVER
 ; the number of the palette we want to replace
 ;
@@ -19,5 +19,5 @@
 ; The file containing the color palettes. It can be in any directory of the !path.
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ; Used to pass modifyct keywords
 ;
@@ -45,7 +45,7 @@
 ; is nametbl belongs to the same effective user ID (UID) as the IDL process?
     IF !d.name EQ 'X' THEN BEGIN ; works only for unix tye machine
-      IF file_test(nametbl, /user) NE 1 THEN BEGIN 
-        noanswer = report('The file '+nametbl+' is not yours... Do you want to copy '+nameshort+' in your MyIDL diectory: '+homedir+' ?', /default_no, /question)
-        IF noanswer THEN return ELSE BEGIN 
+      IF file_test(nametbl, /user) NE 1 THEN BEGIN
+        noanswer = report('The file '+nametbl+' is not yours... Do you want to copy '+nameshort+' in your MyIDL directory: '+homedir+' ?', /default_no, /question)
+        IF noanswer THEN return ELSE BEGIN
           file_copy, nametbl, homedir  ; copy the file
           nametbl = homedir + nametbl  ; update its name
@@ -54,15 +54,15 @@
     ENDIF
 ; no file nametbl found
-    ENDIF ELSE BEGIN                           
+    ENDIF ELSE BEGIN
       nametbl = file_basename(namesave)        ; get back the original nametbl
-      noanswer = report('The file '+nametbl+' was not found !path directories... Do you want to create such a file in  your MyIDL diectory: '+homedir+' ?', /default_no, /question)
+      noanswer = report('The file '+nametbl+' was not found !path directories... Do you want to create such a file in  your MyIDL directory: '+homedir+' ?', /default_no, /question)
       if NOT noanswer then return
-      nameorg = filepath('colors1.tbl', subdir = ['resource', 'colors']) 
+      nameorg = filepath('colors1.tbl', subdir = ['resource', 'colors'])
       file_copy, nameorg, homedir
-    ENDELSE 
+    ENDELSE
 ; is nametbl writable?
     IF file_test(nametbl, /write) NE 1 THEN file_chmod, nametbl, /u_write
 ; make sure that we will really use nametbl name even if _EXTRA keyword is used
-    if n_elements(ex) NE 0 then $ 
+    if n_elements(ex) NE 0 then $
        if (where(tag_names(ex) EQ 'FILE'))[0] NE -1 then ex.FILE = nametbl
 ;
Index: /trunk/SRC/Computation/curl.pro
===================================================================
--- /trunk/SRC/Computation/curl.pro	(revision 225)
+++ /trunk/SRC/Computation/curl.pro	(revision 226)
@@ -9,16 +9,16 @@
 ; @categories
 ; Calculation
-; 
+;
 ; @param UU
 ; Matrix representing the zonal coordinates (U point) of a field of vectors
 ; A 2D (xy), 3D (xyz or yt) or a structure readable by litchamp and containing
 ; a 2D (xy), 3D (xyz or yt) array (4d case is not coded yet).
-; note that the dimension of the arry must suit the domain dimension.
-;
-; @param VV 
+; note that the dimension of the array must suit the domain dimension.
+;
+; @param VV
 ; Matrix representing the meridional coordinates (V point) of a field of vectors
 ; A 2D (xy), 3D (xyz or yt) or a structure readable by litchamp and containing
 ; a 2D (xy), 3D (xyz or yt) array (4d case is not coded yet).
-; note that the dimension of the arry must suit the domain dimension.
+; note that the dimension of the array must suit the domain dimension.
 ;
 ; @keyword DIREC {type=scalar string}
@@ -30,19 +30,19 @@
 ;
 ; @uses
-; cm_4cal, cm_4data, cm_4mmesh 
+; cm_4cal, cm_4data, cm_4mmesh
 ;
 ; @restrictions
 ;
-; - Works only for Arakawa C-grid. 
+; - Works only for Arakawa C-grid.
 ; - UU must be on U grid, VV must be on V grid
 ; - 4d case is not coded yet
 ; - the common variable jpt is used to differ xyz (jpt=1) and xyt (jpt\=1) cases.
-; - U and V arrays are cut in the same geographic domain. Because of the shift between 
-;   T, U, V and F grids, it is possible that these two arrays do not have the same 
-;   size and refer to different indexes. In this case, arrays are re-cut on 
+; - U and V arrays are cut in the same geographic domain. Because of the shift between
+;   T, U, V and F grids, it is possible that these two arrays do not have the same
+;   size and refer to different indexes. In this case, arrays are re-cut on
 ;   common indexes. To avoid these re-cuts, use the keyword /memeindice in domdef.pro
 ; - When computing the divergence, we update, vargrid, varname, varunits and the
 ;   grid position parameters (firstxf, lastxf, nxf, firstyf, lastyf, nyf).
-; - points that cannot be computed (domain bondaries, coastline) are set to NaN
+; - points that cannot be computed (domain boundaries, coastline) are set to NaN
 ;
 ; @examples
@@ -50,14 +50,14 @@
 ; IDL> plt, curl(dist(jpi,jpj), dist(jpi,jpj))
 ;
-; @history 
+; @history
 ; Guillaume Roullet (grlod\@ipsl.jussieu.fr)
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ; adaptation to work with a reduce domain
 ; 21/5/1999: missing values at !values.f_nan
-; 
+;
 ; @version
 ; $Id$
 ;
-; @todo 
+; @todo
 ; code the 4d case
 ;-
@@ -71,5 +71,5 @@
 @cm_4cal                        ; for jpt
 @cm_4data                       ; for varname, vargrid, vardate, varunit, valmask
-@cm_4mesh 
+@cm_4mesh
 ;
   tempsun = systime(1)          ; To key_performance
@@ -84,5 +84,5 @@
   szu = size(u)
   szv = size(v)
-  
+
   if szu[0] NE szv[0] then return, report('U and V input data must have the same number of dimensions')
 
@@ -96,5 +96,5 @@
   indiceyv = (lindgen(jpj))[firstyv:firstyv+nyv-1]
   indicey = inter(indiceyu, indiceyv)
-  nx = n_elements(indicex) 
+  nx = n_elements(indicex)
   ny = n_elements(indicey)
   indice2d = lindgen(jpi, jpj)
@@ -105,5 +105,5 @@
   varunits = 's-1'
   if n_elements(valmask) EQ 0 THEN valmask = 1e20
-  firstxt = indicex[0] & lastxt = indicex[0]+nx-1 & nxt = nx 
+  firstxt = indicex[0] & lastxt = indicex[0]+nx-1 & nxt = nx
   firstyt = indicey[0] & lastyt = indicey[0]+ny-1 & nyt = ny
 ;----------------------------------------------------------------------------
@@ -113,5 +113,5 @@
 ;xyz
 ;----------------------------------------------------------------------------
-    szu[0] EQ 3 AND jpt EQ 1:BEGIN 
+    szu[0] EQ 3 AND jpt EQ 1:BEGIN
 ;------------------------------------------------------------
 ; extraction of U and V on the appropriated domain
@@ -119,5 +119,5 @@
       case 1 of
         szu[1] EQ nxu AND szu[2] EQ nyu AND $
-           szv[1] EQ nxv AND szv[2] EQ nyv:BEGIN 
+           szv[1] EQ nxv AND szv[2] EQ nyv:BEGIN
           case 1 of
             nxu NE nx:if indicex[0] EQ firstxu then u = u[0:nx-1, *, *] ELSE u = u[1: nx, *, *]
@@ -129,5 +129,5 @@
         END
         szu[1] EQ jpi AND szu[2] EQ jpj AND $
-           szv[1] EQ jpi AND szv[2] EQ jpj:BEGIN 
+           szv[1] EQ jpi AND szv[2] EQ jpj:BEGIN
           u = u[indicex[0]:indicex[0]+nx-1, indicey[0]:indicey[0]+ny-1, *]
           v = v[indicex[0]:indicex[0]+nx-1, indicey[0]:indicey[0]+ny-1, *]
@@ -142,5 +142,5 @@
       landu = where(coefu EQ 0)
       if landu[0] NE -1 then coefu[temporary(landu)] = !values.f_nan
-      
+
       coefv = ((e2v[indice2d])[*]#replicate(1., nzt)) $
               *(vmask())[indicex[0]:indicex[0]+nx-1, indicey[0]:indicey[0]+ny-1, firstzt:lastzt]
@@ -175,5 +175,5 @@
 ;----------------------------------------------------------------------------
 ;----------------------------------------------------------------------------
-    szu[0] EQ 3 AND jpt GT 1:BEGIN 
+    szu[0] EQ 3 AND jpt GT 1:BEGIN
 ;------------------------------------------------------------
 ; extraction of U and V on the appropriated domain
@@ -181,20 +181,20 @@
       case 1 of
         szu[1] EQ nxu AND szu[2] EQ nyu AND $
-           szv[1] EQ nxv AND szv[2] EQ nyv:BEGIN 
+           szv[1] EQ nxv AND szv[2] EQ nyv:BEGIN
           if nxu NE nx then $
-             if indicex[0] EQ firstxu then u = u[0:nx-1, *, *] ELSE u = u[1: nx, *, *] 
+             if indicex[0] EQ firstxu then u = u[0:nx-1, *, *] ELSE u = u[1: nx, *, *]
           IF nxv NE nx THEN $
              if indicex[0] EQ firstxv then v = v[0:nx-1, *, *] ELSE v = v[1: nx, *, *]
           IF nyu NE ny THEN $
-             if indicey[0] EQ firstyu then u = u[*, 0:ny-1, *] ELSE u = u[*, 1: ny, *] 
+             if indicey[0] EQ firstyu then u = u[*, 0:ny-1, *] ELSE u = u[*, 1: ny, *]
           IF nyv NE ny THEN $
              if indicey[0] EQ firstyv then v = v[*, 0:ny-1, *] ELSE v = v[*, 1: ny, *]
         END
         szu[1] EQ jpi AND szu[2] EQ jpj AND $
-           szv[1] EQ jpi AND szv[2] EQ jpj:BEGIN 
+           szv[1] EQ jpi AND szv[2] EQ jpj:BEGIN
           u = u[indicex[0]:indicex[0]+nx-1, indicey[0]:indicey[0]+ny-1, *]
           v = v[indicex[0]:indicex[0]+nx-1, indicey[0]:indicey[0]+ny-1, *]
         END
-        ELSE:BEGIN 
+        ELSE:BEGIN
           print, 'problemes d''adequation entre la taille du domaine et la taille des matrices necessaires a tracer des vecteurs'
           return, -1
@@ -240,5 +240,5 @@
 ;----------------------------------------------------------------------------
 ;----------------------------------------------------------------------------
-    szu[0] EQ 4:BEGIN 
+    szu[0] EQ 4:BEGIN
       return, report('Case not coded contact saxo team or make a do loop!')
     END
@@ -248,21 +248,21 @@
 ;----------------------------------------------------------------------------
 ;----------------------------------------------------------------------------
-    szu[0] EQ 2:BEGIN 
+    szu[0] EQ 2:BEGIN
 ;------------------------------------------------------------
 ;------------------------------------------------------------
       case 1 of
         szu[1] EQ nxu AND szu[2] EQ nyu AND $
-           szv[1] EQ nxv AND szv[2] EQ nyv:BEGIN 
+           szv[1] EQ nxv AND szv[2] EQ nyv:BEGIN
           if nxu NE nx then $
-             if indicex[0] EQ firstxu then u = u[0:nx-1, *] ELSE u = u[1: nx, *] 
+             if indicex[0] EQ firstxu then u = u[0:nx-1, *] ELSE u = u[1: nx, *]
           IF nxv NE nx THEN $
              if indicex[0] EQ firstxv then v = v[0:nx-1, *] ELSE v = v[1: nx, *]
           IF nyu NE ny THEN $
-             if indicey[0] EQ firstyu then u = u[*, 0:ny-1] ELSE u = u[*, 1: ny] 
+             if indicey[0] EQ firstyu then u = u[*, 0:ny-1] ELSE u = u[*, 1: ny]
           IF nyv NE ny THEN $
              if indicey[0] EQ firstyv then v = v[*, 0:ny-1] ELSE v = v[*, 1: ny]
         END
         szu[1] EQ jpi AND szu[2] EQ jpj AND $
-           szv[1] EQ jpi AND szv[2] EQ jpj:BEGIN 
+           szv[1] EQ jpi AND szv[2] EQ jpj:BEGIN
           u = u[indice2d]
           v = v[indice2d]
@@ -305,5 +305,5 @@
   ENDCASE
 ;------------------------------------------------------------
-  if keyword_set(key_performance) THEN print, 'temps curl', systime(1)-tempsun 
+  if keyword_set(key_performance) THEN print, 'temps curl', systime(1)-tempsun
 
   return, psi
Index: /trunk/SRC/Computation/div.pro
===================================================================
--- /trunk/SRC/Computation/div.pro	(revision 225)
+++ /trunk/SRC/Computation/div.pro	(revision 226)
@@ -10,15 +10,15 @@
 ; Calculation
 ;
-; @param UU 
+; @param UU
 ; Matrix representing the zonal coordinates (U point) of a field of vectors
 ; A 2D (xy), 3D (xyz or yt) or a structure readable by litchamp and containing
 ; a 2D (xy), 3D (xyz or yt) array (4d case is not coded yet).
-; note that the dimension of the arry must suit the domain dimension.
-;
-; @param VV 
+; note that the dimension of the array must suit the domain dimension.
+;
+; @param VV
 ; Matrix representing the meridional coordinates (V point) of a field of vectors
 ; A 2D (xy), 3D (xyz or yt) or a structure readable by litchamp and containing
 ; a 2D (xy), 3D (xyz or yt) array (4d case is not coded yet).
-; note that the dimension of the arry must suit the domain dimension.
+; note that the dimension of the array must suit the domain dimension.
 ;
 ; @keyword DIREC {type=scalar string}
@@ -30,19 +30,19 @@
 ;
 ; @uses
-; cm_4cal, cm_4data, cm_4mmesh 
+; cm_4cal, cm_4data, cm_4mmesh
 ;
 ; @restrictions
 ;
-; - Works only for Arakawa C-grid. 
+; - Works only for Arakawa C-grid.
 ; - UU must be on U grid, VV must be on V grid
 ; - 4d case is not coded yet
 ; - the common variable jpt is used to differ xyz (jpt=1) and xyt (jpt\=1) cases.
-; - U and V arrays are cut in the same geographic domain. Because of the shift between 
-;   T, U, V and F grids, it is possible that these two arrays do not have the same 
-;   size and refer to different indexes. In this case, arrays are re-cut on 
+; - U and V arrays are cut in the same geographic domain. Because of the shift between
+;   T, U, V and F grids, it is possible that these two arrays do not have the same
+;   size and refer to different indexes. In this case, arrays are re-cut on
 ;   common indexes. To avoid these re-cuts, use the keyword /memeindice in domdef.pro
 ; - When computing the divergence, we update, vargrid, varname, varunits and the
 ;   grid position parameters (firstxt, lastxt, nxt, firstyt, lastyt, nyt).
-; - points that cannot be computed (domain bondaries, coastline) are set to NaN
+; - points that cannot be computed (domain boundaries, coastline) are set to NaN
 ;
 ; @examples
@@ -58,5 +58,5 @@
 ; $Id$
 ;
-; @todo 
+; @todo
 ; code the 4d case
 ;-
@@ -70,5 +70,5 @@
 @cm_4cal                        ; for jpt
 @cm_4data                       ; for varname, vargrid, vardate, varunit, valmask
-@cm_4mesh 
+@cm_4mesh
 ;
   tempsun = systime(1)          ; For key_performance
@@ -83,5 +83,5 @@
   szu = size(u)
   szv = size(v)
-  
+
   if szu[0] NE szv[0] then return, report('U and V input data must have the same number of dimensions')
 
@@ -95,5 +95,5 @@
   indiceyv = (lindgen(jpj))[firstyv:firstyv+nyv-1]
   indicey = inter(indiceyu, indiceyv)
-  nx = n_elements(indicex) 
+  nx = n_elements(indicex)
   ny = n_elements(indicey)
   indice2d = lindgen(jpi, jpj)
@@ -104,5 +104,5 @@
   varunits = '1.e6*s-1'
   if n_elements(valmask) EQ 0 THEN valmask = 1.e20
-  firstxt = indicex[0] & lastxt = indicex[0]+nx-1 & nxt = nx 
+  firstxt = indicex[0] & lastxt = indicex[0]+nx-1 & nxt = nx
   firstyt = indicey[0] & lastyt = indicey[0]+ny-1 & nyt = ny
 ;----------------------------------------------------------------------------
@@ -112,5 +112,5 @@
 ;xyz
 ;----------------------------------------------------------------------------
-    szu[0] EQ 3 AND jpt EQ 1:BEGIN 
+    szu[0] EQ 3 AND jpt EQ 1:BEGIN
 ;------------------------------------------------------------
 ; extraction of U and V on the appropriated domain
@@ -118,5 +118,5 @@
       case 1 of
         szu[1] EQ nxu AND szu[2] EQ nyu AND $
-           szv[1] EQ nxv AND szv[2] EQ nyv:BEGIN 
+           szv[1] EQ nxv AND szv[2] EQ nyv:BEGIN
           case 1 of
             nxu NE nx:if indicex[0] EQ firstxu then u = u[0:nx-1, *, *] ELSE u = u[1: nx, *, *]
@@ -128,5 +128,5 @@
         END
         szu[1] EQ jpi AND szu[2] EQ jpj AND $
-           szv[1] EQ jpi AND szv[2] EQ jpj:BEGIN 
+           szv[1] EQ jpi AND szv[2] EQ jpj:BEGIN
           u = u[indicex[0]:indicex[0]+nx-1, indicey[0]:indicey[0]+ny-1, *]
           v = v[indicex[0]:indicex[0]+nx-1, indicey[0]:indicey[0]+ny-1, *]
@@ -168,5 +168,5 @@
 ;----------------------------------------------------------------------------
 ;----------------------------------------------------------------------------
-    szu[0] EQ 3 AND jpt GT 1:BEGIN 
+    szu[0] EQ 3 AND jpt GT 1:BEGIN
 ;------------------------------------------------------------
 ; extraction of U and V on the appropriated domain
@@ -174,5 +174,5 @@
       case 1 of
         szu[1] EQ nxu AND szu[2] EQ nyu AND $
-           szv[1] EQ nxv AND szv[2] EQ nyv:BEGIN 
+           szv[1] EQ nxv AND szv[2] EQ nyv:BEGIN
           case 1 of
             nxu NE nx:if indicex[0] EQ firstxu then u = u[0:nx-1, *, *] ELSE u = u[1: nx, *, *]
@@ -184,5 +184,5 @@
         END
         szu[1] EQ jpi AND szu[2] EQ jpj AND $
-           szv[1] EQ jpi AND szv[2] EQ jpj:BEGIN 
+           szv[1] EQ jpi AND szv[2] EQ jpj:BEGIN
           u = u[indicex[0]:indicex[0]+nx-1, indicey[0]:indicey[0]+ny-1, *]
           v = v[indicex[0]:indicex[0]+nx-1, indicey[0]:indicey[0]+ny-1, *]
@@ -218,5 +218,5 @@
 ;
       land = where(tmask[indice2d+jpi*jpj*firstzt] EQ 0, cnt)
-      if land[0] NE -1 then BEGIN 
+      if land[0] NE -1 then BEGIN
         land = (temporary(land))#replicate(1L, jpt) + replicate(1L, cnt)#(nx*ny*lindgen(jpt))
         zdiv[temporary(land)] = valmask
@@ -229,5 +229,5 @@
 ;----------------------------------------------------------------------------
 ;----------------------------------------------------------------------------
-    szu[0] EQ 4:BEGIN 
+    szu[0] EQ 4:BEGIN
       return, report('Case not coded contact saxo team or make a do loop!')
     END
@@ -237,5 +237,5 @@
 ;----------------------------------------------------------------------------
 ;----------------------------------------------------------------------------
-    szu[0] EQ 2:BEGIN 
+    szu[0] EQ 2:BEGIN
 ;------------------------------------------------------------
 ; extraction of U and V on the appropriated domain
@@ -243,5 +243,5 @@
       case 1 of
         szu[1] EQ nxu AND szu[2] EQ nyu AND $
-           szv[1] EQ nxv AND szv[2] EQ nyv:BEGIN 
+           szv[1] EQ nxv AND szv[2] EQ nyv:BEGIN
           case 1 of
             nxu NE nx:if indicex[0] EQ firstxu then u = u[0:nx-1, *] ELSE u = u[1: nx, *]
@@ -253,5 +253,5 @@
         END
         szu[1] EQ jpi AND szu[2] EQ jpj AND $
-           szv[1] EQ jpi AND szv[2] EQ jpj:BEGIN 
+           szv[1] EQ jpi AND szv[2] EQ jpj:BEGIN
           u = u[indice2d]
           v = v[indice2d]
@@ -291,8 +291,8 @@
 ;----------------------------------------------------------------------------
     ELSE:return, report('U and V input arrays must have 2, 3 or 4 dimensions')
-  ENDCASE   
-;------------------------------------------------------------
-  if keyword_set(key_performance) THEN print, 'temps div', systime(1)-tempsun 
-  
+  ENDCASE
+;------------------------------------------------------------
+  if keyword_set(key_performance) THEN print, 'temps div', systime(1)-tempsun
+
   return, zdiv
 end
Index: /trunk/SRC/Computation/grad.pro
===================================================================
--- /trunk/SRC/Computation/grad.pro	(revision 225)
+++ /trunk/SRC/Computation/grad.pro	(revision 226)
@@ -13,5 +13,5 @@
 ; 3D (xyz or yt) or 4D (xyzt) array or a structure readable by litchamp
 ; and containing a 2D (xy), 3D (xyz or yt) or 4D (xyzt) array.
-; note that the dimension of the arry must suit the domain dimension.
+; note that the dimension of the array must suit the domain dimension.
 ;
 ; @param DIREC {type=scalar string}
@@ -22,13 +22,13 @@
 ;
 ; @uses
-; cm_4cal, cm_4data, cm_4mmesh 
+; cm_4cal, cm_4data, cm_4mmesh
 ;
 ; @restrictions
-; - Works only for Arakawa C-grid. 
+; - Works only for Arakawa C-grid.
 ; - When computing the gradient, the result is not on the same grid point
 ;   than the input data. In consequence, we update, vargrid and the grid position
 ;   parameters (firstx[tuvf], lastx[tuvf], nx[tuvf], firsty[tuvf], lasty[tuvf],
 ;   ny[tuvf], firstz[tw], lastz[tw], nz[tw]).
-; - points that cannot be computed (domain bondaries, coastline) are set to NaN
+; - points that cannot be computed (domain boundaries, coastline) are set to NaN
 ; - the common variable jpt is used to differ xyz (jpt=1) and xyt (jpt\=1) cases.
 ;
@@ -54,5 +54,5 @@
 @cm_4cal   ; for jpt
 @cm_4data  ; for varname, vargrid, vardate, varunit, valmask
-@cm_4mesh 
+@cm_4mesh
 ;------------------------------------------------------------
 ;
@@ -64,5 +64,5 @@
   szres = size(res)
   grille, mask, glam, gphi, gdep, nx, ny, nz $
-          , firstx, firsty, firstz, lastx, lasty, lastz     
+          , firstx, firsty, firstz, lastx, lasty, lastz
 ;
   if n_elements(valmask) EQ 0 then valmask = 1.e20
@@ -72,9 +72,9 @@
     'T':BEGIN
       case direc of
-        'x':BEGIN 
+        'x':BEGIN
           divi = e1u[firstx:lastx, firsty:lasty]
           newmask = (umask())[firstx:lastx, firsty:lasty, firstz:lastz]
           vargrid = 'U'
-          firstxu = firstxt & lastxu = lastxt & nxu = nxt 
+          firstxu = firstxt & lastxu = lastxt & nxu = nxt
           firstyu = firstyt & lastyu = lastyt & nyu = nyt
         END
@@ -83,5 +83,5 @@
           newmask = (vmask())[firstx:lastx, firsty:lasty, firstz:lastz]
           vargrid = 'V'
-          firstxv = firstxt & lastxv = lastxt & nxv = nxt 
+          firstxv = firstxt & lastxv = lastxt & nxv = nxt
           firstyv = firstyt & lastyv = lastyt & nyv = nyt
         END
@@ -90,5 +90,5 @@
           newmask = mask
           vargrid = 'W'
-          firstzw = firstzt & lastzw = lastzt & nzw = nzt 
+          firstzw = firstzt & lastzw = lastzt & nzw = nzt
         END
         ELSE:return, report('Bad definition of direction argument')
@@ -97,9 +97,9 @@
     'W':BEGIN
       case direc of
-        'x':BEGIN 
+        'x':BEGIN
           divi = e1u[firstx:lastx, firsty:lasty]
           newmask = (umask())[firstx:lastx, firsty:lasty, firstz:lastz]
           vargrid = 'U'
-          firstxu = firstxt & lastxu = lastxt & nxu = nxt 
+          firstxu = firstxt & lastxu = lastxt & nxu = nxt
           firstyu = firstyt & lastyu = lastyt & nyu = nyt
         END
@@ -108,5 +108,5 @@
           newmask = (vmask())[firstx:lastx, firsty:lasty, firstz:lastz]
           vargrid = 'V'
-          firstxv = firstxt & lastxv = lastxt & nxv = nxt 
+          firstxv = firstxt & lastxv = lastxt & nxv = nxt
           firstyv = firstyt & lastyv = lastyt & nyv = nyt
         END
@@ -115,5 +115,5 @@
           newmask = mask
           vargrid = 'T'
-          firstzt = firstzw & lastzt = lastzw & nzt = nzw 
+          firstzt = firstzw & lastzt = lastzw & nzt = nzw
         END
         ELSE:return, report('Bad definition of direction argument')
@@ -126,5 +126,5 @@
           newmask = tmask[firstx:lastx, firsty:lasty, firstz:lastz]
           vargrid = 'T'
-          firstxt = firstxu & lastxt = lastxu & nxt = nxu 
+          firstxt = firstxu & lastxt = lastxu & nxt = nxu
           firstyt = firstyu & lastyt = lastyu & nyt = nyu
         END
@@ -133,5 +133,5 @@
           newmask = (fmask())[firstx:lastx, firsty:lasty, firstz:lastz]
           vargrid = 'F'
-          firstxf = firstxu & lastxf = lastxu & nxf = nxu 
+          firstxf = firstxu & lastxf = lastxu & nxf = nxu
           firstyf = firstyu & lastyf = lastyu & nyf = nyu
         END
@@ -140,5 +140,5 @@
           newmask = mask
           vargrid = 'W'
-          firstzw = firstzt & lastzw = lastzt & nzw = nzt 
+          firstzw = firstzt & lastzw = lastzt & nzw = nzt
         END
         ELSE:return, report('Bad definition of direction argument')
@@ -165,5 +165,5 @@
           newmask = mask
           vargrid = 'W'
-          firstzw = firstzt & lastzw = lastzt & nzw = nzt 
+          firstzw = firstzt & lastzw = lastzt & nzw = nzt
         END
         ELSE:return, report('Bad definition of direction argument')
@@ -191,13 +191,13 @@
       if land[0] NE -1 then res[temporary(land)] = !values.f_nan
       case direc of
-        'x':BEGIN 
+        'x':BEGIN
           res = (shift(res, -1, 0)-res)/temporary(divi)
           if key_periodic EQ 0 OR nx NE jpi THEN res[nx-1, *] = !values.f_nan
           if vargrid EQ 'T' OR vargrid EQ 'V' then res = shift(temporary(res), 1, 0)
         END
-        'y':BEGIN 
+        'y':BEGIN
           res = (shift(res, 0, -1)-res)/temporary(divi)
           res[*, ny-1] = !values.f_nan
-          if vargrid EQ 'T' OR vargrid EQ 'U' then res = shift(temporary(res), 0, 1)           
+          if vargrid EQ 'T' OR vargrid EQ 'U' then res = shift(temporary(res), 0, 1)
         END
         ELSE:return,  report('Bad definition of direction argument for the type of array')
@@ -217,13 +217,13 @@
       divi = (temporary(divi))[*]#replicate(1., jpt)
       case direc of
-        'x':BEGIN 
+        'x':BEGIN
           res = (shift(res, -1, 0, 0)-res)/temporary(divi)
           if key_periodic EQ 0 OR nx NE jpi THEN res[nx-1, *, *] = !values.f_nan
           if vargrid EQ 'T' OR vargrid EQ 'V' then res = shift(temporary(res), 1, 0, 0)
         END
-        'y':BEGIN 
+        'y':BEGIN
           res = (shift(res, 0, -1, 0)-res)/temporary(divi)
           res[*, ny-1, *] = !values.f_nan
-          if vargrid EQ 'T' OR vargrid EQ 'U' then res = shift(temporary(res), 0, 1, 0)        
+          if vargrid EQ 'T' OR vargrid EQ 'U' then res = shift(temporary(res), 0, 1, 0)
         END
         ELSE:return,  report('Bad definition of direction argument for the type of array')
@@ -242,5 +242,5 @@
       if land[0] NE -1 then res[temporary(land)] = !values.f_nan
       case direc OF
-        'x':BEGIN 
+        'x':BEGIN
           divi = (temporary(divi))[*]#replicate(1., nz)
           res = (shift(res, -1, 0, 0)-res)/temporary(divi)
@@ -248,14 +248,14 @@
           if vargrid EQ 'T' OR vargrid EQ 'V' then res = shift(temporary(res), 1, 0, 0)
         END
-        'y':BEGIN 
+        'y':BEGIN
           divi = (temporary(divi))[*]#replicate(1., nz)
           res = (shift(res, 0, -1, 0)-res)/temporary(divi)
           res[*, ny-1, *] = !values.f_nan
-          if vargrid EQ 'T' OR vargrid EQ 'U' then res = shift(temporary(res), 0, 1, 0)        
+          if vargrid EQ 'T' OR vargrid EQ 'U' then res = shift(temporary(res), 0, 1, 0)
         END
         'z':BEGIN
           divi = replicate(1., nx*ny)#(temporary(divi))[*]
           if nx EQ 1 OR ny EQ 1 then res = reform(res, nx, ny, nz, /overwrite)
-          if vargrid EQ 'W' THEN BEGIN 
+          if vargrid EQ 'W' THEN BEGIN
             res = (shift(res, 0, 0, 1)-res)/temporary(divi)
             res[*, *, 0] = !values.f_nan
@@ -279,5 +279,5 @@
       ENDIF
       case direc OF
-        'x':BEGIN 
+        'x':BEGIN
           divi = (temporary(divi))[*]#replicate(1., nz*jpt)
           res = (shift(res, -1, 0, 0, 0)-res)/temporary(divi)
@@ -285,9 +285,9 @@
           if vargrid EQ 'T' OR vargrid EQ 'V' then res = shift(temporary(res), 1, 0, 0, 0)
         END
-        'y':BEGIN 
+        'y':BEGIN
           divi = (temporary(divi))[*]#replicate(1., nz*jpt)
           res = (shift(res, 0, -1, 0, 0)-res)/temporary(divi)
           res[*, ny-1, *, *] = !values.f_nan
-          if vargrid EQ 'T' OR vargrid EQ 'U' then res = shift(temporary(res), 0, 1, 0, 0)        
+          if vargrid EQ 'T' OR vargrid EQ 'U' then res = shift(temporary(res), 0, 1, 0, 0)
         END
         'z':BEGIN
@@ -295,5 +295,5 @@
           divi = (temporary(divi))[*]#replicate(1L, jpt)
           if nx EQ 1 OR ny EQ 1 then res = reform(res, nx, ny, nz, jpt, /overwrite)
-          if vargrid EQ 'W' THEN BEGIN 
+          if vargrid EQ 'W' THEN BEGIN
             res = (shift(res, 0, 0, 1, 0)-res)/temporary(divi)
             res[*, *, 0, *] = !values.f_nan
